Subject: Re: TSQ accounting skb->truesize degrades throughput for large packets

From: Cong Wang <[email-masked]>
Date: Mon, 9 Sep 2013 05:28:50 +0000 (UTC)

On Fri, 06 Sep 2013 at 17:00 GMT, Eric Dumazet <[email-masked]> wrote:
> On Fri, 2013-09-06 at 17:36 +0100, Zoltan Kiss wrote:
>
>> So I guess it would be good to revisit the default value of this 
>> setting.
>
> If ixgbe requires 3 TSO packets in TX ring to get line rate, you also
> can tweak dev->gso_max_size from 65535 to 64000.
>

We observe similar regression on ixgbe driver, also virtio_net driver.